// ***************
$efect_shadown: 0px 2px 2px rgba(50, 50, 71, 0.1), 0px 2px 4px rgba(50, 50, 71, 0.1);
.container-navbar {
  max-width: 90%;
  @media ( min-width: 1600px ) { 
    max-width: 80%;
  }
}
.navbar-univa {
  background-color: $white;
  box-shadow: $efect_shadown;
  min-height: 90px;
  .col-nabvar-brand {
    svg {
      width: 50px;
      height: 60px;
    }
  }
  .navbar-collapse {
    .col-navbar-nav {
      .navbar-nav {
        justify-content: space-between;
        .nav-link {
          color: $black;
          width: max-content;
        }
        .nav-item-primary {
          border-bottom: 1px solid $white;
          border-bottom-width: 2px;
          align-items: center;
          display: flex;
          justify-content: center;
          text-align: center;
          transition: .2s ease-in-out;
          margin-right: 10px;
          &:last-child {
            margin-right: 0px;
          }
          &:hover {
            border-bottom: 1px solid $theme_primary_blue;
            border-bottom-width: 2px;
            .nav-link {
              color: $gray;
            }
          }
          .dropdown-menu-primary {
            top: calc( 100% + 24px);
            padding: 0;
            border-radius: 0;  
            li {
              border-bottom: 1px  solid $gray;
              min-width: 250px;
              &:hover {
                background: #f1f1f1;
                a {
                  color: $gray;
                }
              }
              a {
                padding: 8px 15px;
              }
            }
          }
          .dropdown-menu {
            .dropdown-item.active, .dropdown-item:active {
              background: $gray;
              color: $theme_primary_blue;
              &::before { 
                transform: rotate(135deg);
              }
            }
            .is-menu-item {
              position: relative;
              &::before {
                content: "";
                position: absolute;
                height: 10px;
                width: 10px;
                top: 50%;
                right: 20px;
                border-top: 2px solid $gray;
                border-right: 2px solid $gray;
                transform: translateY(-50%) rotate(45deg);
              }
            }
          }
          

        }
        li{
          a {
            white-space: none;
          }
        }
      }
    }
    .col-btn-action {
      display: flex;
      justify-content: center;
      /* .btn-univa {
        transition: .5s ease-in-out;
        width: 90%;
        margin: auto;
        border-radius: 0px;
        &:hover {
          box-shadow: $efect_shadown;
        }
      } */
    }
    
  }
}
.toast-univa {
  position: fixed;
  bottom: 10px;
  right: 15px;
  z-index: 99;
  .toast-header {
    background: $theme_primary_blue;
    color: $white;
    img, .btn-close {
      filter: invert(1);
    }
  }
}
.toast:not(.showing):not(.show)
{
  opacity: 0;
  transform: translateY(110%);
}

.logo-univa-navbar {
  position: absolute;
  background: $white;
  width: 120px;
  height: 120px;
  top: -50px;
  z-index: 10;
  left: 62%;
  @media ( max-width: 992px ) {  
    top: 0;
    width:75px;
    height: 75px;
    left: 30px;
  }
  object {
    width: 80% !important;
    height: auto !important;
    top: 50%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
  }
}
.target_logo {
  .logo {
    width: 50px;
  }
  @media all and (max-width: 992px) {
    .logo {
      width: 50px;
    }
    position: absolute;
    margin: 12px 35px;
    left: 0;
  }

  @media all and (max-width: 520px) {
    .logo {
      width: 50px;
      margin-top: 10px;
    }
  }
}

// Small devices (landscape phones, 992px and down)
@media ( max-width: 992px ) { 
  .container-navbar {
    max-width: 100%;
  }
  // ***********
  .navbar-univa {
    height: auto;
    min-height: 70px;
    box-shadow: none;
    padding: 0;
    .col-nabvar-brand {
      box-shadow: 0px 2px 2px rgba(50, 50, 71, 0.06), 0px 2px 4px rgba(50, 50, 71, 0.06);
      min-height: 70px;
      svg {
        width: 125px;
        height: 60px;
      }      
      // Button Mobile
      .navbar-toggler {
        border-color: none;
        border: none;
        box-shadow: none;
        position: relative;
        &::focus {
          box-shadow: none;
        }
        $bar-h: 1.5px;
        $bar-color: $theme_primary_blue;
  
        .McButton {    
          position: absolute;
          left: -50%;
          width: 130%;
          height: 20px;
          cursor: pointer;
          top: 50%;
          transform: translateY(-50%);
          .text-close {
            position: absolute;
            left: -185%;
            top: 50%;
            transform: translateY(-50%);
            color: white;
            display: none;
          }
          b {
            position: absolute;
            left: 0;
            width: 100%;
            height: $bar-h;
            background-color: $bar-color;
            transition: .2s;
            transition-timing-function: cubic-bezier(0.46, 0.03, 0.52, 0.96);
            &:nth-child(1) {
              top: 0;
            }
            &:nth-child(2) {
              top: 50%;
            }
            &:nth-child(3) {
              top: 100%;
            }
          }
          &.active {
            b {
              &:nth-child(1) {
                top: 10px;
                transform: rotate(225deg);
              }
              &:nth-child(2) {
                display: none;
              }
              &:nth-child(3) {
                top: 10px;
                transform: rotate(-225deg);
              }
            }
            .text-close { 
              display: flex;
            }
          }
          @media all and (max-width: 520px) {
            left: -10%;
          }
        }    
      }
    }

    .navbar-collapse {
      width: 100%;
      min-width: 100%;
      background-color: $white;
      .col-navbar-nav {
        .navbar-nav {
          .dropdown  {
            border-width: 1px;
          }
          .nav-item-primary {  
            display: block;
            border-bottom: 1px solid rgba($color: $theme_primary_blue, $alpha: .2);
            border-bottom-width: 0;
            margin-top: 5px;  
            &:nth-child(1) {
              margin-top: 0px;
            }
            &:nth-last-child(1) {
              border-bottom: none;
            }
            a {
              line-height: 25px;
            }
            &:hover {
              border-bottom: 1px solid rgba(0,92,185,.2); 
              .nav-link {
                color: $theme_primary_blue;
                text-decoration: none;
              }
            }
            .nav-link {
              color: $theme_primary_blue;
              text-align: left;
              font-weight: bold;
              font-size: 20px;
              line-height: 24px;
            }
            .dropdown-menu-primary {
              border: none;
              li {
                background: $white !important;
              }
              .dropdown-item {
                font-weight: 400;
                background: $gray;
                border-bottom: 1px solid $gray;
                &:active {
                  background: $gray;
                  color: $theme_primary_blue;
                }
              }
              .submenu {
                background: transparent;
                .dropdown-item  {
                  background: $white;
                  color: $gray;
                  &:hover {
                    color: $theme_primary_blue;
                    background: $gray;
                    font-weight: 500;
                  }
                  &.header-menu {
                    background: #f1f1f1;
                  }
                }
              }
            }
          }
          li{
            a {
              white-space: inherit;
            }
          }
        }
      }

      .col-btn-action {
        margin: 0; 
      }

    }
  }
  //***********
  .btn-search {
    border-radius: 0;
    background: $white;
    padding: .8em 1.2em;
  }
  .dropdown-menu .dropdown-menu{
    margin: 0.7rem;
    padding: 0 0.5rem;
    border: none;
  }
}

@media all and (min-width: 992px) {
	.dropdown-menu li{ position: relative; 	}
	.nav-item .submenu{ 
		display: none;
		position: absolute;
    padding-top: 0;
    padding-bottom: 0;
		left:100%; 
    top: -1px;
	}
	.nav-item .submenu-left{ 
		right:100%; left:auto;
	}
}


.col-btn-action-fixed {
  position: fixed;
  bottom: 0;
  width: 100%;
  z-index: 50;

  .button-action-one, .button-action-two {
    width: 50%;
    position: fixed;
    bottom: 0;
    border: none;
    border-radius: 0;
    height: 60px;
    line-height: 35px;
    @media all and (max-width: 520px) {
      font-size: 90%;
    }
  }
  .button-action-one {
    color: $theme_primary_blue !important;
    left: 0;
    background-color: $white;
  }
  .button-action-two {
    right: 0;
  }
}

.dropdown-menu > li:hover > .submenu{ display: block !important; }

.header-menu {
  background-color: #F1F1F1;
  color: $theme_primary_blue !important;
  font-weight: 400;
}